import os
from setuptools import setup as original_setup, find_packages

def setup(**kw):
    # Ensure that the "version.txt" file inside the Products is
    # consistent with the egg version.
    product_name = kw["name"].split(".")[-1]
    version_txt = os.path.join("Products", product_name, "version.txt")
    if kw["version"] != open(version_txt).read().strip():
        open(version_txt, 'w').write(kw["version"])
    return original_setup(**kw)

setup(name="Products.Lime",
      version="3.0.0",
      long_description=open(os.path.join("Products", "Lime", "README.txt")).read(),
      description="A Link Marshaller for Marshall",
      classifiers=[
            "Framework :: Zope2",
            ],
      author="Sidnei da Silva",
      author_email="sidnei@enfoldsystems.com",
      url="http://dist.enfoldsystems.com/catalog/lime",
      packages=find_packages(),
      namespace_packages=["Products"],
      include_package_data=True,
      zip_safe=False,
      install_requires=[
            "setuptools",
            ],
      )
